import { world, system } from "@minecraft/server";
import { ActionFormData } from "@minecraft/server-ui";

const ui = new ActionFormData()
  .title("monoCAM")
  .body("")
  .button("CAM ON")
  .button("CAM OFF");

world.beforeEvents.itemUse.subscribe((eventData) => {
  if (eventData.itemStack?.typeId === "md4:monocam_md4") {
    let player = eventData.source;
    system.run(() => {
        ui.show(player).then((result) => {
        switch (result.selection) {
          case 0:
            player.runCommandAsync("camera @s clear");
            player.runCommandAsync("tag @s remove camfollow");
            player.runCommandAsync("tag @s add camposit");
            player.runCommandAsync(
              "camera @s set minecraft:free pos ~ ~1.5 ~ rot ~ ~"
            );
            player.runCommandAsync("playsound random.levelup @s");
            break;

          case 1:
            if (player.hasTag("camposit") || player.hasTag("camfollow")) {
              player.runCommandAsync("camera @s clear");
              player.runCommandAsync("playsound random.levelup @s");
              player.runCommandAsync("tag @s remove camfollow");
              player.runCommandAsync("tag @s remove camposit");
            } else {
              player.runCommandAsync("playsound note.bass @s");
              player.runCommandAsync("title @s actionbar monoCAM already turn OFF");
            }
            break;
        }
      });
    });
  }
});
